%define module	django-mptt

Name:		python-%{module}
Version:	0.13.4
Release:	%mkrel 1
Summary:	Utilities for implementing Modified Preorder Tree Traversal
License:	BSD
Group:		Development/Python
URL:		https://github.com/django-mptt/django-mptt/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.xz
BuildArch:	noarch

%description
Utilities for implementing Modified Preorder Tree Traversal (MPTT)
with your Django Model classes and working with trees of Model instances.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Utilities for implementing Modified Preorder Tree Traversal
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3-setuptools
BuildRequires:	python3-django
%{?python_provide:%python_provide python3-%{module}}

# Python 2 support removed upstream
Obsoletes:	python-django-mptt < 0.9.1-2
Provides:	python-django-mptt = %{version}-%{release}

%description -n python3-%{module}
Utilities for implementing Modified Preorder Tree Traversal (MPTT)
with your Django Model classes and working with trees of Model instances.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf django_mptt.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/mptt/*py*
%{python3_sitelib}/mptt/static/
%{python3_sitelib}/mptt/templates/
%{python3_sitelib}/mptt/templatetags/
%{python3_sitelib}/django_mptt-%{version}-py%{python3_version}.egg-info
# locale files
%lang(da) %{python3_sitelib}/mptt/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/mptt/locale/de/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/mptt/locale/es/LC_MESSAGES/django.?o
%lang(es_AR) %{python3_sitelib}/mptt/locale/es_AR/LC_MESSAGES/django.?o
%lang(fi) %{python3_sitelib}/mptt/locale/fi/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/mptt/locale/fr/LC_MESSAGES/django.?o
%lang(hu) %{python3_sitelib}/mptt/locale/hu/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/mptt/locale/it/LC_MESSAGES/django.?o
%lang(mn) %{python3_sitelib}/mptt/locale/mn/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/mptt/locale/nb/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/mptt/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/mptt/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/mptt/locale/ru/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/mptt/locale/uk/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/mptt/locale/zh_Hans/LC_MESSAGES/django.?o
%lang(zh_Hant) %{python3_sitelib}/mptt/locale/zh_Hant/LC_MESSAGES/django.?o


%changelog
* Fri Aug 05 2022 tex - 0.13.4-1pclos2022
- new version

